import { BaseSmoothedValue } from '../../utils/smoothedValue/baseSmoothedValue';
import { IEmaTopExtremumParams } from '../../utils/smoothedValue/types';
export declare class EmaTopExtremumValue extends BaseSmoothedValue {
    private readonly extremumInterval;
    private furtherValues;
    private currentTopExtremumValue;
    constructor(params: IEmaTopExtremumParams);
    next(value: number): void;
    protected updateSmoothedValue(value: number): void;
}
